tigase.jaxmpp.core.client.xmpp.modules.muc

## Class MucModule.Invitation

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.muc.MucModule.Invitation

- Direct Known Subclasses:
    MucModule.DirectInvitation, MucModule.MediatedInvitation
  Enclosing class:
    MucModule

      public abstract class MucModule.Invitation
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected SessionObject` | `sessionObject`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `Invitation(SessionObject sessionObject)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JID` | `getInviterJID()`
    `String` | `getPassword()`
    `String` | `getReason()`
    `BareJID` | `getRoomJID()`
    `SessionObject` | `getSessionObject()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sessionObject

          protected final SessionObject sessionObject

  - ### Constructor Detail

    - #### Invitation

          protected Invitation(SessionObject sessionObject)

  - ### Method Detail

    - #### getInviterJID

          public JID getInviterJID()

    - #### getPassword

          public String getPassword()

    - #### getReason

          public String getReason()

    - #### getRoomJID

          public BareJID getRoomJID()

    - #### getSessionObject

          public SessionObject getSessionObject()

Copyright © 2006–2020 Tigase. All rights reserved.